/*
 Theme Name: Astra Child
 Template: astra
*/
/* --------------------- */
/*  Déclaration des polices */
/* --------------------- */

/* Breathing */
@font-face {
  font-family: 'Breathing';
  src: url('assets/fonts/Breathing.woff2') format('woff2'),
       url('assets/fonts/Breathing.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Garet Book */
@font-face {
  font-family: 'Garet';
  src: url('assets/fonts/Garet-Book.woff2') format('woff2'),
       url('assets/fonts/Garet-Book.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* Garet Heavy */
@font-face {
  font-family: 'Garet';
  src: url('assets/fonts/Garet-Heavy.woff2') format('woff2'),
       url('assets/fonts/Garet-Heavy.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

/* Montserrat via Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

/* --------------------- */
/*  Application des polices */
/* --------------------- */

body {
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
}

h1 {
  font-family: 'Garet', sans-serif;
  font-weight: 700; /* utilise Heavy si besoin */
}

h2 {
  font-family: 'Breathing', cursive !important;
  font-weight: normal !important;
}

h3 {
  font-family: 'Garet', sans-serif;
  font-weight: 400; /* Book */
}
